/*
 * QUSOFT MICROSYSTMES
 * Moka
 * Copyright 2002 Frdric Brown
 */
 
/*
 *  This file is part of Moka.
 *
 *  Moka is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  Moka is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with Moka; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */
package moka.x;

import moka.x.GEM;
import moka.lang.Character;
import moka.x.CaptionedComponent;
import moka.x.Styled;

/**
 * Button class is a push button component.
 *
 * @author  Frdric Brown
 * @version 1.0, 2002-11-04
 * @since   MDK1.0a
 */
public class Button extends CaptionedComponent implements Styled {
	
	/*
	 * Constructs a new button.
	 */
	public Button () {
		this("");
	}
	
	/*
	 * Constructs a new button specifying its caption.
	 *
	 * @param caption the button's caption.
	 */
	public Button (String caption) {
		super(caption);
		this.style = Style.RAISED_STYLE;
	}
	
	/**
	 * Paints the button.
	 */
	public native void paint() ;
}