/*
 * QUSOFT MICROSYSTMES
 * Moka
 * Copyright 2002 Frdric Brown
 */

/*
 *  This file is part of Moka.
 *
 *  Moka is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  Moka is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with Moka; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */
package moka.x;

import moka.x.Image;
import moka.x.Color;
import moka.x.Container;
import moka.io.Graphics;

/**
 * Canvas class is a drawing component.
 *
 * @author  Frdric Brown
 * @version 1.0, 2003-03-06
 * @since   MDK1.0a
 */
public class Canvas extends Image {

	/** The color of the pen use to draw in this Canvas. Can be either Color.BLACK_COLOR, Color.WHITE_COLOR or Color.INVERT_COLOR.*/
	public short color;

	/*
	 * Constructs a new Canvas.
	 */
	public Canvas () ;

	/*
	 * Constructs a new Canvas specifying its bitmap.
	 *
	 * @param bmp the Image's BITMAP
	 */
	public Canvas (BITMAP_p bmp) {
	}

	/*
	 * Constructs a new Canvas specifying its PIC file name.
	 * If the file string object risk to be used later, use a copy of the string object
         * instead of the original, the string being finalized before the method returns.
	 *
	 * @param file The Canvas's PIC file name
	 */
	public Canvas (String file) {
	}

	/**
	 * Draws a pixel in the canvas.
	 *
	 * @param x The horizontal coodinate
	 * @param y The vertical coodinate
	 */
	public void drawPix (short dx, short dy) {

	}

	/**
	 * Gets the status of a pixel on the canvas.
	 *
	 * @param x The x coordinate
	 * @param y The y coordinate
	 * @return true if the pixel is on, false otherwize
	 */
	public native boolean getPix (short dx, short dy) ;

	/**
	 * Saves the area of the canvas.
	 */
	public void save () {
	}


	/**
	 * Erases the the canvas.
	 */
	public void erase () {
	}

	/**
	 * Saves the bitmap displayed in the canvas to a PIC file.
	 * If the file string object risk to be used later, use a copy of the string object
         * instead of the original, the string being finalized before the method returns.
	 *
	 * @param file The PIC file name
	 */
	public void saveToFile(String file) {
	}

	/**
	 * This method is invoked by the GEM when the user interacts
	 * with the Canvas.
	 */
	public void use () {
	}
}