/*
 * QUSOFT MICROSYSTMES
 * Moka
 * Copyright 2002 Frdric Brown
 */
 
/*
 *  This file is part of Moka.
 *
 *  Moka is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  Moka is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with Moka; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */
package moka.x;

import moka.x.GEM;
import moka.lang.Character;
import moka.x.CheckBox;
import moka.x.RadioGroup;

/**
 * RadioButton class is a check box component.
 *
 * @author  Frdric Brown
 * @version 1.0, 2002-11-21
 * @since   MDK1.0a
 */
public class RadioButton extends CheckBox {
	/** The group of the radio button.  Should be only read.*/
	public RadioGroup group;
	
	/*
	 * Constructs a new RadioButton.
	 */
	public RadioButton () {
		this("");
	}
	
	/*
	 * Constructs a new RadioButton specifying its caption.
	 *
	 * @param caption the RadioButton's caption.
	 */
	public RadioButton (String caption) {
		super(caption);
		this.group = null;
	}
	
	/**
	 * Paints the RadioButton.
	 */
	public native void paint() ;
	
	/**
	 * This method is invoked by the GEM when the user interacts
	 * with the RadioButton.
	 */
	public void use () {
	}
	
	/**
	 * Sets the RadioGroup associated with this RadioButton.
	 * 
	 * @param group the RadioGroup associated with this RadioButton.
	 */
	public void setGroup (RadioGroup group) {
	}
}